# # Plots

# ### Imports

# +
import numpy as np

import matplotlib
import matplotlib.pyplot as plt
from matplotlib import rc

matplotlib.use("pgf")
matplotlib.rcParams.update(
    {
        "pgf.texsystem": "xelatex",
        "font.family": "serif",
        "text.usetex": True,
        "pgf.rcfonts": False,
    }
)

from functools import partial
from modules import infinite_system, utils, system, utils, pauli, functions
import numpy as np
import kwant
import tqdm

import matplotlib as mpl
import os
import xarray as xr

# -

# ### Tunneling and spin

# +
# %matplotlib widget
import matplotlib.pylab as pl
import matplotlib.gridspec as gridspec

# Create 1x2 sub plots
fig, axes = plt.subplots(ncols=1, sharey=True, figsize=(6, 4.5))
ax1 = axes

plt.rcParams["font.size"] = 20
plt.rcParams["legend.fontsize"] = 20
plt.rcParams["lines.linewidth"] = 1.0

dataset_GNS_tunneling = xr.open_dataset(
    "./files/transport/spinless/honeycomb_sc/data/GNS_mu_B_tunneling.nc"
)

# Conductance plots
utils.plot_GNS(
    dataset_GNS_tunneling,
    fig=fig,
    ax=ax1,
    show_clb=True,
    set_fonts=False,
    vmin=-0.1,
    vmax=0.1,
)

# ax1.text(0.0, 1.05, r"$(a)$", transform=ax1.transAxes)

fig.tight_layout()
fig.savefig("./plots/fig4.pdf")
fig.show()
# -
