import tinyarray

# Pauli matrices for electron-hole degrees of freedom
tau_0 = tinyarray.array([[1, 0], [0, 1]])
tau_1 = tinyarray.array([[0, 1], [1, 0]])
tau_2 = tinyarray.array([[0, -1j], [1j, 0]])
tau_3 = tinyarray.array([[1, 0], [0, -1]])

# Useful linear combinations of Pauli matrices
tau_plus = (tau_0 + tau_3) / 2
tau_minus = (tau_0 - tau_3) / 2
