import kwant
from . import *
from . import functions
from .pauli import tau_0


def valley_operator(device):
    """
    Generate valley operator.

    Parameters:
    -----------

    device : object from `system.py`
    """

    operator = kwant.Builder()
    operator[device.syst.sites()] = 0 * tau_0
    operator[device.lattice.neighbors()] = 0 * tau_0
    operator[device.A.neighbors()] = functions.antihaldane
    operator[device.B.neighbors()] = functions.antihaldane

    device.operator = operator.finalized()
