# Mechanisms of Andreev reflection in quantum Hall graphene
By A. L. R. Manesco, I. M. Flór, C.-X. Liu, A. Akhmerov

## Folders

### `Numerics`

Compute nonlocal conductance of a three-terminal system and bands of a NS junction.

#### Content description

- `transport_calculations.py`: run transport calculations.
- `bands_calculations.py`: compute bands.
- `generate_fig*.py`: generate manuscript figures.
- `files`: data and plots generated by `transport_calculations.py`.
- `modules`: python modules to run the simulations.
- `plots`: figures as used in the manuscript.

### `Effective model`

Contain the code to generate the effective model of chiral Andreev modes along the NS interface.

### Installation
Install [miniconda](http://conda.pydata.org/miniconda.html) and then the Python environment that contains all dependencies with:
```
conda env create -f environment.yml
```
then activate it with
```
source activate graphene-sc-qhe
```

Finally, run the command `jupyter lab` to run the notebooks.

The plots require LaTeX installed. In Debian/Ubuntu, run:

```
sudo apt-get install texlive-full
```
or comment the custom `matplotlib` `rcParams`.
